View invoice as a PDF file
GET /<provider>/view-print-invoice
API used to view an issued invoice as a PDF file.
Headers
| Name | Required | Description |
|---|---|---|
Authorization | ✅ | Bearer access_token |
Content-Type | ✅ | application/json |
X-Tax-Code | ✅ | Seller's tax code. |
Query Parameters
| Name | Data type | Description |
|---|---|---|
id | string | The vpid or sid field, vpid takes priority if available (returned in each element of the invoice list). For Misa, use the search_code field (lookup code). |
stax | string | Seller's tax code (store, etc.). |
template_code | string | Invoice template code (obtained from the invoice serial list at the Viettel provider). |
from_pos | boolean | Whether this is an invoice issued from a cash register (Misa). |
- 1Invoice
- one-invoice
- misa
- fpt
- viettel
curl --location 'https://stag-invoice-hub.1invoice.vn/1Invoice/view-print-invoice?id=3a1bafb9-4889-9c3c-802b-d3af714d2dc6' \
--header 'authorization: Bearer O87316arj5+Od3Fqyy5hzdBfIuPk73eKqpAzBSvv8sY=' \
--header 'x-tax-code: 0106026495-998'
curl --location 'https://stag-invoice-hub.1invoice.vn/one-invoice/view-print-invoice?id=3a20a2e0-826d-f10f-805c-6820e9550220&stax=0106026495-998&template_code=1&from_pos=true' \
--header 'accept: application/json, text/plain, */*' \
--header 'authorization: Bearer O87316arj5+Od3Fqyy5hzdBfIuPk73eKqpAzBSvv8sY=' \
--header 'x-tax-code: 0106026495-998' \
--data ''
curl --location 'https://stag-invoice-hub.1invoice.vn/misa/view-print-invoice?id=B1HNTAR8V__&stax=2222222222-788&template_code=1C25MAT&from_pos=true' \
--header 'accept: application/json, text/plain, */*' \
--header 'authorization: Bearer <token>' \
--header 'x-tax-code: 2222222222-788'
curl --location 'https://stag-invoice-hub.1invoice.vn/fpt/view-print-invoice?id=8296-SO000227&stax=0104128565-999&from_pos=false' \
--header 'authorization: Bearer <token>' \
--header 'x-tax-code: 0104128565-999'
curl --location 'https://stag-invoice-hub.1invoice.vn/viettel/view-print-invoice?stax=0100109106-509&id=K25MVV11&template_code=2%2F00138&from_pos=true' \
--header 'authorization: Bearer <token>' \
--header 'x-tax-code: 0100109106-509' \
--header 'Cookie: d4150655895b8526de84b2ab49c2b9e4=25b23b9c55e22b9e0de3559674a733dd'